# Update CARLA

  * [__Get lastest binary release__](#get-latest-binary-release)  
  * [__Update Linux and Windows build__](#update-linux-and-windows-build)  
	* Clean the build
	* Pull from origin
	* Download the assets
	* Launch the server
  * [__Get development assets__](#get-development-assets)

To post unexpected issues, doubts or suggestions, feel free to login in the CARLA forum.

<div class="build-buttons">
<!-- Latest release button -->
<p>
<a href="https://forum.carla.org/" target="_blank" class="btn btn-neutral" title="Go to the latest CARLA release">
CARLA forum</a>
</p>
</div>

---
## Get latest binary release 

Binary releases are prepackaged and thus, tied to a specific version of CARLA. In order to get the latest, erase the previous one and follow the procedure stated in the [quick start installation](start_quickstart.md). In the CARLA repository, releases are listed in __Development__ and there is also a highly experimental __Nightly build__ containing the current state of CARLA up to date: 

<div class="build-buttons">
<!-- Latest release button -->
<p>
<a href="https://github.com/carla-simulator/carla/blob/master/Docs/download.md" target="_blank" class="btn btn-neutral" title="Go to the latest CARLA release">
<span class="icon icon-github"></span> Get the latest release</a>
</p>

<!-- Nightly build button -->
<p>
<a href="http://carla-releases.s3.amazonaws.com/Linux/Dev/CARLA_Latest.tar.gz" target="_blank" class="btn btn-neutral" title="Go to the nightly CARLA build">
<span class="icon fa-cloud-download"></span> Get the nightly build</a>
</p>
</div>

---
## Update Linux and Windows build

!!! Important
    Make sure to be in the local `master` branch before updating to then merge or rebase the changes to other branches. 

The process of updating is quite similar and straightforward for both platforms:

#### Clean the build
Go to the CARLA main directory and delete binaries and temporals generated by previous build:
```sh 
git checkout master
make clean
```

#### Pull from origin

Get the current version from `master` in the CARLA repository: 
```sh
git pull origin master
```
#### Download the assets

__Linux:__
```sh
./Update.sh
```
__Windows:__  
	- Erase the previous content in `Unreal\CarlaUE4\Content\Carla`.  
	- Go to `\Util\ContentVersions.txt`.  
	- Download the content for `latest`.  
	- Extract the new content in `Unreal\CarlaUE4\Content\Carla`.  

!!! Note
    In order to work with the current content used by developers in the CARLA team, follow the get development assets section right below this one. 

#### Launch the server

Run the editor with the spectator view to be sure that everything worked properly:
```sh
make launch
```

---
## Get development assets

The 3D assets, models, and maps have also a [public git repository][contentrepolink] where the CARLA team regularly pushes latest updates. However, using this version of the content is only recommended to developers, as it may contain unfinished maps and/or models.

In order to handle this repository it is highly recommended to install [git-lfs][gitlfslink], as it works faster with large binary files, and these are modified regularly. To clone this repository **go to the main CARLA directory** and run the following command: 

```sh
git clone https://bitbucket.org/carla-simulator/carla-content Unreal/CarlaUE4/Content/Carla
```

!!! Warning
    Delete the `/Carla` folder containing the assets before using the previous command. Otherwise, an error will show. 

[contentrepolink]: https://bitbucket.org/carla-simulator/carla-content
[gitlfslink]: https://github.com/git-lfs/git-lfs/wiki/Installation
